Subject: bug#71684: [PATCH v2] doc: Document the peek and pk procedures.

From: Simon Tournier <[email-masked]>
Date: Thu, 11 Jul 2024 10:59:08 +0200

Hi Maxim,

On Wed, 10 Jul 2024 at 15:48, Maxim Cournoyer <[email-masked]> wrote:

> I think I'd prefer more simple examples than a single more complicated
> one, if we go that route.  I think the text explained 'peek' clearly
> already, though, so I personally would opt to leave it as is, especially
> since adding a 'begin' block to showcase multiple 'pk' calls goes
> against the merit of peek of being least intrusive (it prints then
> returns the value, so the code structure needs not be changed).

Well, I do not have a strong opinion on the topic. :-)

I would suggest to apply the ’pk’ on the other branch, something as:

--8<---------------cut here---------------start------------->8---
(map (lambda (v)
       (if (number? v)
           (pk 'number v (number->string v))
           v))
     '(1 "2" "3" 4))
--8<---------------cut here---------------end--------------->8---

Cheers,
simon